# Copyright 2024 NXP

# SPDX-License-Identifier: BSD-3-Clause
from enum import Enum

class UniqIdEnum(Enum):
    def __init__(self, *args):
        cls = self.__class__
        if any(self.value == e.value for e in cls):
            a = self.name
            e = cls(self.value).name
            raise ValueError("aliases not allowed in UniqIdEnum:  %r --> %r" % (a, e))
            



